Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/config0.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/config0.cfg	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/config0.cfg	(revision 55)
@@ -1,4 +1,4 @@
 Read_queue
-2	8	*2	# size_read_queue    
+2	8	*2	# size_queue    
 4	4	*2	# nb_context         
 32	32	*2	# nb_packet          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/config1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/config1.cfg	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/config1.cfg	(revision 55)
@@ -1,4 +1,4 @@
 Read_queue
-4	4	*2	# size_read_queue    
+4	4	*2	# size_queue    
 4	4	*2	# nb_context         
 32	32	*2	# nb_packet          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/main.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/main.cpp	(revision 55)
@@ -14,5 +14,5 @@
   cerr << "<Usage> " << argv[0] << " name_instance list_params" << endl
        << "list_params is :" << endl
-       << " - size_read_queue     (unsigned int)" << endl
+       << " - size_queue          (unsigned int)" << endl
        << " - nb_context          (unsigned int)" << endl
        << " - nb_packet           (unsigned int)" << endl
@@ -44,5 +44,5 @@
 
   const string   name                = argv[1];
-  const uint32_t size_read_queue     = atoi(argv[ 2]);
+  const uint32_t size_queue          = atoi(argv[ 2]);
   const uint32_t nb_context          = atoi(argv[ 3]);
   const uint32_t nb_packet           = atoi(argv[ 4]);
@@ -59,5 +59,5 @@
     {
       morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_read_unit::read_unit::read_queue::Parameters * param = new morpheo::behavioural::core::multi_execute_loop::execute_loop::multi_read_unit::read_unit::read_queue::Parameters
-	( size_read_queue    
+	( size_queue    
 	 ,nb_context         
 	 ,nb_packet          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/test.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/test.cpp	(revision 55)
@@ -11,6 +11,6 @@
 #include "Common/include/Test.h"
 
-#define NB_ITERATION  512
-#define CYCLE_MAX     (128*NB_ITERATION)
+#define NB_ITERATION  64
+#define CYCLE_MAX     (1024*NB_ITERATION)
 
 #define LABEL(str)                                                                       \
@@ -71,5 +71,5 @@
   sc_signal<Tcontext_t         >         * READ_QUEUE_IN_CONTEXT_ID   = new sc_signal<Tcontext_t         >         ("READ_QUEUE_IN_CONTEXT_ID  ");
   sc_signal<Tpacket_t          >         * READ_QUEUE_IN_PACKET_ID    = new sc_signal<Tpacket_t          >         ("READ_QUEUE_IN_PACKET_ID   ");
-  sc_signal<uint32_t           >         * READ_QUEUE_IN_OPERATION    = new sc_signal<uint32_t           >         ("READ_QUEUE_IN_OPERATION   ");
+  sc_signal<Toperation_t       >         * READ_QUEUE_IN_OPERATION    = new sc_signal<Toperation_t       >         ("READ_QUEUE_IN_OPERATION   ");
   sc_signal<Ttype_t            >         * READ_QUEUE_IN_TYPE         = new sc_signal<Ttype_t            >         ("READ_QUEUE_IN_TYPE        ");
   sc_signal<Tcontrol_t         >         * READ_QUEUE_IN_HAS_IMMEDIAT = new sc_signal<Tcontrol_t         >         ("READ_QUEUE_IN_HAS_IMMEDIAT");
@@ -92,5 +92,5 @@
   sc_signal<Tcontext_t         >         * READ_QUEUE_OUT_CONTEXT_ID  = new sc_signal<Tcontext_t         >         ("READ_QUEUE_OUT_CONTEXT_ID  ");
   sc_signal<Tpacket_t          >         * READ_QUEUE_OUT_PACKET_ID   = new sc_signal<Tpacket_t          >         ("READ_QUEUE_OUT_PACKET_ID   ");
-  sc_signal<uint32_t           >         * READ_QUEUE_OUT_OPERATION   = new sc_signal<uint32_t           >         ("READ_QUEUE_OUT_OPERATION   ");
+  sc_signal<Toperation_t       >         * READ_QUEUE_OUT_OPERATION   = new sc_signal<Toperation_t       >         ("READ_QUEUE_OUT_OPERATION   ");
   sc_signal<Ttype_t            >         * READ_QUEUE_OUT_TYPE        = new sc_signal<Ttype_t            >         ("READ_QUEUE_OUT_TYPE        ");
   sc_signal<Tcontrol_t         >         * READ_QUEUE_OUT_HAS_IMMEDIAT= new sc_signal<Tcontrol_t         >         ("READ_QUEUE_OUT_HAS_IMMEDIAT");
@@ -163,40 +163,40 @@
     }
 
-    // ~~~~~[ Interface "bypass_gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-  sc_signal<Tcontrol_t         > ** BYPASS_GPR_WRITE_VAL        = new sc_signal<Tcontrol_t         > * [_param->_nb_gpr_write];
-  sc_signal<Tcontext_t         > ** BYPASS_GPR_WRITE_CONTEXT_ID = new sc_signal<Tcontext_t         > * [_param->_nb_gpr_write];
-  sc_signal<Tgeneral_address_t > ** BYPASS_GPR_WRITE_NUM_REG    = new sc_signal<Tgeneral_address_t > * [_param->_nb_gpr_write];
-  sc_signal<Tgeneral_data_t    > ** BYPASS_GPR_WRITE_DATA       = new sc_signal<Tgeneral_data_t    > * [_param->_nb_gpr_write];
+    // ~~~~~[ Interface "gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+  sc_signal<Tcontrol_t         > ** GPR_WRITE_VAL        = new sc_signal<Tcontrol_t         > * [_param->_nb_gpr_write];
+  sc_signal<Tcontext_t         > ** GPR_WRITE_CONTEXT_ID = new sc_signal<Tcontext_t         > * [_param->_nb_gpr_write];
+  sc_signal<Tgeneral_address_t > ** GPR_WRITE_NUM_REG    = new sc_signal<Tgeneral_address_t > * [_param->_nb_gpr_write];
+  sc_signal<Tgeneral_data_t    > ** GPR_WRITE_DATA       = new sc_signal<Tgeneral_data_t    > * [_param->_nb_gpr_write];
 
   for (uint32_t i=0; i<_param->_nb_gpr_write; i++)
     {
-      rename = "BYPASS_GPR_WRITE_"+toString(i)+"_VAL"       ;
-      BYPASS_GPR_WRITE_VAL        [i] = new sc_signal<Tcontrol_t         > (rename.c_str());
-      rename = "BYPASS_GPR_WRITE_"+toString(i)+"_CONTEXT_ID";
-      BYPASS_GPR_WRITE_CONTEXT_ID [i] = new sc_signal<Tcontext_t         > (rename.c_str());
-      rename = "BYPASS_GPR_WRITE_"+toString(i)+"_NUM_REG"   ;
-      BYPASS_GPR_WRITE_NUM_REG    [i] = new sc_signal<Tgeneral_address_t > (rename.c_str());
-      rename = "BYPASS_GPR_WRITE_"+toString(i)+"_DATA"      ;
-      BYPASS_GPR_WRITE_DATA       [i] = new sc_signal<Tgeneral_data_t    > (rename.c_str());
-    }
-
-    // ~~~~~[ Interface "bypass_spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-  sc_signal<Tcontrol_t         > ** BYPASS_SPR_WRITE_VAL        = new sc_signal<Tcontrol_t         > * [_param->_nb_spr_write];
-  sc_signal<Tcontext_t         > ** BYPASS_SPR_WRITE_CONTEXT_ID = new sc_signal<Tcontext_t         > * [_param->_nb_spr_write];
-  sc_signal<Tspecial_address_t > ** BYPASS_SPR_WRITE_NUM_REG    = new sc_signal<Tspecial_address_t > * [_param->_nb_spr_write];
-  sc_signal<Tspecial_data_t    > ** BYPASS_SPR_WRITE_DATA       = new sc_signal<Tspecial_data_t    > * [_param->_nb_spr_write];
+      rename = "GPR_WRITE_"+toString(i)+"_VAL"       ;
+      GPR_WRITE_VAL        [i] = new sc_signal<Tcontrol_t         > (rename.c_str());
+      rename = "GPR_WRITE_"+toString(i)+"_CONTEXT_ID";
+      GPR_WRITE_CONTEXT_ID [i] = new sc_signal<Tcontext_t         > (rename.c_str());
+      rename = "GPR_WRITE_"+toString(i)+"_NUM_REG"   ;
+      GPR_WRITE_NUM_REG    [i] = new sc_signal<Tgeneral_address_t > (rename.c_str());
+      rename = "GPR_WRITE_"+toString(i)+"_DATA"      ;
+      GPR_WRITE_DATA       [i] = new sc_signal<Tgeneral_data_t    > (rename.c_str());
+    }
+
+    // ~~~~~[ Interface "spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+  sc_signal<Tcontrol_t         > ** SPR_WRITE_VAL        = new sc_signal<Tcontrol_t         > * [_param->_nb_spr_write];
+  sc_signal<Tcontext_t         > ** SPR_WRITE_CONTEXT_ID = new sc_signal<Tcontext_t         > * [_param->_nb_spr_write];
+  sc_signal<Tspecial_address_t > ** SPR_WRITE_NUM_REG    = new sc_signal<Tspecial_address_t > * [_param->_nb_spr_write];
+  sc_signal<Tspecial_data_t    > ** SPR_WRITE_DATA       = new sc_signal<Tspecial_data_t    > * [_param->_nb_spr_write];
 
   for (uint32_t i=0; i<_param->_nb_spr_write; i++)
     {
-      rename = "BYPASS_SPR_WRITE_"+toString(i)+"_VAL"       ;
-      BYPASS_SPR_WRITE_VAL        [i] = new sc_signal<Tcontrol_t         > (rename.c_str());
-      rename = "BYPASS_SPR_WRITE_"+toString(i)+"_CONTEXT_ID";
-      BYPASS_SPR_WRITE_CONTEXT_ID [i] = new sc_signal<Tcontext_t         > (rename.c_str());
-      rename = "BYPASS_SPR_WRITE_"+toString(i)+"_NUM_REG"   ;
-      BYPASS_SPR_WRITE_NUM_REG    [i] = new sc_signal<Tspecial_address_t > (rename.c_str());
-      rename = "BYPASS_SPR_WRITE_"+toString(i)+"_DATA"      ;
-      BYPASS_SPR_WRITE_DATA       [i] = new sc_signal<Tspecial_data_t    > (rename.c_str());
+      rename = "SPR_WRITE_"+toString(i)+"_VAL"       ;
+      SPR_WRITE_VAL        [i] = new sc_signal<Tcontrol_t         > (rename.c_str());
+      rename = "SPR_WRITE_"+toString(i)+"_CONTEXT_ID";
+      SPR_WRITE_CONTEXT_ID [i] = new sc_signal<Tcontext_t         > (rename.c_str());
+      rename = "SPR_WRITE_"+toString(i)+"_NUM_REG"   ;
+      SPR_WRITE_NUM_REG    [i] = new sc_signal<Tspecial_address_t > (rename.c_str());
+      rename = "SPR_WRITE_"+toString(i)+"_DATA"      ;
+      SPR_WRITE_DATA       [i] = new sc_signal<Tspecial_data_t    > (rename.c_str());
     }
 
@@ -277,16 +277,16 @@
   for (uint32_t i=0; i<_param->_nb_gpr_write; i++)
     {
-      (*(_Read_queue-> in_BYPASS_GPR_WRITE_VAL        [i])) (*(BYPASS_GPR_WRITE_VAL        [i]));
-      (*(_Read_queue-> in_BYPASS_GPR_WRITE_CONTEXT_ID [i])) (*(BYPASS_GPR_WRITE_CONTEXT_ID [i]));
-      (*(_Read_queue-> in_BYPASS_GPR_WRITE_NUM_REG    [i])) (*(BYPASS_GPR_WRITE_NUM_REG    [i]));
-      (*(_Read_queue-> in_BYPASS_GPR_WRITE_DATA       [i])) (*(BYPASS_GPR_WRITE_DATA       [i]));
+      (*(_Read_queue-> in_GPR_WRITE_VAL        [i])) (*(GPR_WRITE_VAL        [i]));
+      (*(_Read_queue-> in_GPR_WRITE_CONTEXT_ID [i])) (*(GPR_WRITE_CONTEXT_ID [i]));
+      (*(_Read_queue-> in_GPR_WRITE_NUM_REG    [i])) (*(GPR_WRITE_NUM_REG    [i]));
+      (*(_Read_queue-> in_GPR_WRITE_DATA       [i])) (*(GPR_WRITE_DATA       [i]));
     }
   
   for (uint32_t i=0; i<_param->_nb_spr_write; i++)
     {
-      (*(_Read_queue-> in_BYPASS_SPR_WRITE_VAL        [i])) (*(BYPASS_SPR_WRITE_VAL        [i]));
-      (*(_Read_queue-> in_BYPASS_SPR_WRITE_CONTEXT_ID [i])) (*(BYPASS_SPR_WRITE_CONTEXT_ID [i]));
-      (*(_Read_queue-> in_BYPASS_SPR_WRITE_NUM_REG    [i])) (*(BYPASS_SPR_WRITE_NUM_REG    [i]));
-      (*(_Read_queue-> in_BYPASS_SPR_WRITE_DATA       [i])) (*(BYPASS_SPR_WRITE_DATA       [i]));
+      (*(_Read_queue-> in_SPR_WRITE_VAL        [i])) (*(SPR_WRITE_VAL        [i]));
+      (*(_Read_queue-> in_SPR_WRITE_CONTEXT_ID [i])) (*(SPR_WRITE_CONTEXT_ID [i]));
+      (*(_Read_queue-> in_SPR_WRITE_NUM_REG    [i])) (*(SPR_WRITE_NUM_REG    [i]));
+      (*(_Read_queue-> in_SPR_WRITE_DATA       [i])) (*(SPR_WRITE_DATA       [i]));
     }
 
@@ -321,7 +321,7 @@
 
 //   for (uint32_t i=0; i<_param->_nb_gpr_write; i++)
-//     BYPASS_GPR_WRITE_VAL    [i]->write (0);
+//     GPR_WRITE_VAL    [i]->write (0);
 //   for (uint32_t i=0; i<_param->_nb_spr_write; i++)
-//     BYPASS_SPR_WRITE_VAL    [i]->write (0);
+//     SPR_WRITE_VAL    [i]->write (0);
 
   NRESET->write(0);
@@ -337,5 +337,5 @@
       int32_t percent_transaction_queue_out    = (rand()%50)+25;
       int32_t percent_registerfile_valid       = (rand()%50)+25;
-      int32_t percent_transaction_registerfile = (rand()%50)+25;
+      int32_t percent_transaction_registerfile = (rand()%74)+25;
       int32_t percent_transaction_bypass       = (rand()%50)+25;
       
@@ -368,5 +368,5 @@
 	}
       // End initialisation .......
-
+      
       uint32_t request_in  = 0;
       uint32_t request_out = 0;
@@ -437,8 +437,8 @@
 	      Tgeneral_data_t    data    = rand()%(1<<_param->_size_general_data);
 	      
-	      BYPASS_GPR_WRITE_VAL        [i]->write(val);	      
-	      BYPASS_GPR_WRITE_CONTEXT_ID [i]->write(context);
-	      BYPASS_GPR_WRITE_NUM_REG    [i]->write(num_reg);
-	      BYPASS_GPR_WRITE_DATA       [i]->write(data);
+	      GPR_WRITE_VAL        [i]->write(val);	      
+	      GPR_WRITE_CONTEXT_ID [i]->write(context);
+	      GPR_WRITE_NUM_REG    [i]->write(num_reg);
+	      GPR_WRITE_DATA       [i]->write(data);
 
 	      if (val)
@@ -455,8 +455,8 @@
 	      Tspecial_data_t    data    = rand()%(1<<_param->_size_special_data);
 	      
-	      BYPASS_SPR_WRITE_VAL        [i]->write(val);	      
-	      BYPASS_SPR_WRITE_CONTEXT_ID [i]->write(context);
-	      BYPASS_SPR_WRITE_NUM_REG    [i]->write(num_reg);
-	      BYPASS_SPR_WRITE_DATA       [i]->write(data);
+	      SPR_WRITE_VAL        [i]->write(val);	      
+	      SPR_WRITE_CONTEXT_ID [i]->write(context);
+	      SPR_WRITE_NUM_REG    [i]->write(num_reg);
+	      SPR_WRITE_DATA       [i]->write(data);
 
 	      if (val)
@@ -483,5 +483,5 @@
 
 	      LABEL("Accepted READ_QUEUE_OUT ["+toString(packet_id)+"]");
-
+	      
 	      TEST(uint32_t          , packet_id ,request_out);
 	      
@@ -579,13 +579,13 @@
   delete [] SPR_READ_DATA_VAL;
 
-  delete [] BYPASS_GPR_WRITE_VAL        ;
-  delete [] BYPASS_GPR_WRITE_CONTEXT_ID ;
-  delete [] BYPASS_GPR_WRITE_NUM_REG    ;
-  delete [] BYPASS_GPR_WRITE_DATA       ;
-
-  delete [] BYPASS_SPR_WRITE_VAL        ;
-  delete [] BYPASS_SPR_WRITE_CONTEXT_ID ;
-  delete [] BYPASS_SPR_WRITE_NUM_REG    ;
-  delete [] BYPASS_SPR_WRITE_DATA       ;
+  delete [] GPR_WRITE_VAL        ;
+  delete [] GPR_WRITE_CONTEXT_ID ;
+  delete [] GPR_WRITE_NUM_REG    ;
+  delete [] GPR_WRITE_DATA       ;
+
+  delete [] SPR_WRITE_VAL        ;
+  delete [] SPR_WRITE_CONTEXT_ID ;
+  delete [] SPR_WRITE_NUM_REG    ;
+  delete [] SPR_WRITE_DATA       ;
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Parameters.h	(revision 55)
@@ -26,5 +26,5 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : const uint32_t    _size_read_queue      ;
+  public : const uint32_t    _size_queue           ;
   public : const uint32_t    _nb_context           ;
   public : const uint32_t    _nb_packet            ;
@@ -48,15 +48,15 @@
 
     //-----[ methods ]-----------------------------------------------------------
-  public : Parameters  (  uint32_t size_read_queue    ,
-			  uint32_t nb_context         ,
-			  uint32_t nb_packet          ,
-			  uint32_t size_general_data  ,
-			  uint32_t size_special_data  ,
-			  uint32_t nb_general_register,
-			  uint32_t nb_special_register,
-			  uint32_t nb_operation       ,
-			  uint32_t nb_type            ,
-			  uint32_t nb_gpr_write       ,
-			  uint32_t nb_spr_write       );
+  public : Parameters  (uint32_t size_queue         ,
+			uint32_t nb_context         ,
+			uint32_t nb_packet          ,
+			uint32_t size_general_data  ,
+			uint32_t size_special_data  ,
+			uint32_t nb_general_register,
+			uint32_t nb_special_register,
+			uint32_t nb_operation       ,
+			uint32_t nb_type            ,
+			uint32_t nb_gpr_write       ,
+			uint32_t nb_spr_write       );
   public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Read_queue.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Read_queue.h	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Read_queue.h	(revision 55)
@@ -270,17 +270,17 @@
   public    : SC_IN (Tcontrol_t        )   **  in_SPR_READ_DATA_VAL  ;
 
-    // ~~~~~[ Interface "bypass_gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-  public    : SC_IN (Tcontrol_t        )   **  in_BYPASS_GPR_WRITE_VAL       ;
-  public    : SC_IN (Tcontext_t        )   **  in_BYPASS_GPR_WRITE_CONTEXT_ID;
-  public    : SC_IN (Tgeneral_address_t)   **  in_BYPASS_GPR_WRITE_NUM_REG   ;
-  public    : SC_IN (Tgeneral_data_t   )   **  in_BYPASS_GPR_WRITE_DATA      ;
-
-    // ~~~~~[ Interface "bypass_spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-  public    : SC_IN (Tcontrol_t        )   **  in_BYPASS_SPR_WRITE_VAL       ;
-  public    : SC_IN (Tcontext_t        )   **  in_BYPASS_SPR_WRITE_CONTEXT_ID;
-  public    : SC_IN (Tspecial_address_t)   **  in_BYPASS_SPR_WRITE_NUM_REG   ;
-  public    : SC_IN (Tspecial_data_t   )   **  in_BYPASS_SPR_WRITE_DATA      ;
+    // ~~~~~[ Interface "gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+  public    : SC_IN (Tcontrol_t        )   **  in_GPR_WRITE_VAL       ;
+  public    : SC_IN (Tcontext_t        )   **  in_GPR_WRITE_CONTEXT_ID;
+  public    : SC_IN (Tgeneral_address_t)   **  in_GPR_WRITE_NUM_REG   ;
+  public    : SC_IN (Tgeneral_data_t   )   **  in_GPR_WRITE_DATA      ;
+
+    // ~~~~~[ Interface "spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+  public    : SC_IN (Tcontrol_t        )   **  in_SPR_WRITE_VAL       ;
+  public    : SC_IN (Tcontext_t        )   **  in_SPR_WRITE_CONTEXT_ID;
+  public    : SC_IN (Tspecial_address_t)   **  in_SPR_WRITE_NUM_REG   ;
+  public    : SC_IN (Tspecial_data_t   )   **  in_SPR_WRITE_DATA      ;
 
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Types.h	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/include/Types.h	(revision 55)
@@ -26,5 +26,5 @@
   typedef uint32_t Tcontext_t        ;
   typedef uint32_t Tpacket_t         ;
-  typedef uint32_t Toperation_t      ;
+//typedef uint32_t Toperation_t      ; // cf Constant_OpenRISC.h
   typedef uint32_t Ttype_t           ;
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters.cpp	(revision 55)
@@ -18,5 +18,5 @@
 
 
-  Parameters::Parameters (uint32_t size_read_queue    ,
+  Parameters::Parameters (uint32_t size_queue         ,
 			  uint32_t nb_context         ,
 			  uint32_t nb_packet          ,
@@ -29,5 +29,5 @@
 			  uint32_t nb_gpr_write       ,
 			  uint32_t nb_spr_write       ):
-    _size_read_queue       (size_read_queue      ),
+    _size_queue            (size_queue           ),
     _nb_context            (nb_context           ),
     _nb_packet             (nb_packet            ),
@@ -56,5 +56,5 @@
   
   Parameters::Parameters (Parameters & param):
-    _size_read_queue       (param._size_read_queue       ),
+    _size_queue            (param._size_queue            ),
     _nb_context            (param._nb_context            ),
     _nb_packet             (param._nb_packet             ),
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters_msg_error.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters_msg_error.cpp	(revision 55)
@@ -27,8 +27,8 @@
     string msg = "";
 
-    if (_size_read_queue < 2)
+    if (_size_queue < 2)
       {
         msg += "  - The read_queue must be have less a depth of 2";
-        msg += "    * size_read_queue                 : " + toString(_size_read_queue)    + "\n";
+        msg += "    * size_queue                      : " + toString(_size_queue)    + "\n";
       }
     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters_print.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Parameters_print.cpp	(revision 55)
@@ -27,5 +27,5 @@
 
     xml.balise_open("read_queue");
-    xml.singleton_begin("size_read_queue    "); xml.attribut("value",toString(_size_read_queue    )); xml.singleton_end();
+    xml.singleton_begin("size_queue         "); xml.attribut("value",toString(_size_queue         )); xml.singleton_end();
     xml.singleton_begin("nb_context         "); xml.attribut("value",toString(_nb_context         )); xml.singleton_end();
     xml.singleton_begin("nb_packet          "); xml.attribut("value",toString(_nb_packet          )); xml.singleton_end();
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue.cpp	(revision 55)
@@ -77,11 +77,11 @@
       sensitive << *(in_SPR_READ_ACK      [i]);
     for (uint32_t i=0; i<_param->_nb_gpr_write; i++)
-      sensitive << *(in_BYPASS_GPR_WRITE_VAL        [i])
-		<< *(in_BYPASS_GPR_WRITE_CONTEXT_ID [i])
-		<< *(in_BYPASS_GPR_WRITE_NUM_REG    [i]);
+      sensitive << *(in_GPR_WRITE_VAL        [i])
+		<< *(in_GPR_WRITE_CONTEXT_ID [i])
+		<< *(in_GPR_WRITE_NUM_REG    [i]);
     for (uint32_t i=0; i<_param->_nb_spr_write; i++)
-      sensitive << *(in_BYPASS_SPR_WRITE_VAL        [i])
-		<< *(in_BYPASS_SPR_WRITE_CONTEXT_ID [i])
-		<< *(in_BYPASS_SPR_WRITE_NUM_REG    [i]);
+      sensitive << *(in_SPR_WRITE_VAL        [i])
+		<< *(in_SPR_WRITE_CONTEXT_ID [i])
+		<< *(in_SPR_WRITE_NUM_REG    [i]);
 
 #ifdef SYSTEMCASS_SPECIFIC
@@ -93,13 +93,13 @@
     for (uint32_t i=0; i<_param->_nb_gpr_write ; i++)
       {
-	(*(out_READ_QUEUE_OUT_VAL)) (*(in_BYPASS_GPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_VAL)) (*(in_BYPASS_GPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_VAL)) (*(in_BYPASS_GPR_WRITE_NUM_REG    [i]));
+	(*(out_READ_QUEUE_OUT_VAL)) (*(in_GPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_VAL)) (*(in_GPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_VAL)) (*(in_GPR_WRITE_NUM_REG    [i]));
       }
     for (uint32_t i=0; i<_param->_nb_spr_write ; i++)
       {
-	(*(out_READ_QUEUE_OUT_VAL)) (*(in_BYPASS_SPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_VAL)) (*(in_BYPASS_SPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_VAL)) (*(in_BYPASS_SPR_WRITE_NUM_REG    [i]));
+	(*(out_READ_QUEUE_OUT_VAL)) (*(in_SPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_VAL)) (*(in_SPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_VAL)) (*(in_SPR_WRITE_NUM_REG    [i]));
       }
 #endif    
@@ -115,8 +115,8 @@
 		<< *(in_GPR_READ_DATA_VAL [i]);
     for (uint32_t i=0; i<_param->_nb_gpr_write; i++)
-      sensitive << *(in_BYPASS_GPR_WRITE_VAL        [i])
-		<< *(in_BYPASS_GPR_WRITE_CONTEXT_ID [i])
-		<< *(in_BYPASS_GPR_WRITE_NUM_REG    [i])
-		<< *(in_BYPASS_GPR_WRITE_DATA       [i]);
+      sensitive << *(in_GPR_WRITE_VAL        [i])
+		<< *(in_GPR_WRITE_CONTEXT_ID [i])
+		<< *(in_GPR_WRITE_NUM_REG    [i])
+		<< *(in_GPR_WRITE_DATA       [i]);
 
 #ifdef SYSTEMCASS_SPECIFIC
@@ -133,19 +133,19 @@
     for (uint32_t i=0; i<_param->_nb_gpr_write ; i++)
       {
-	(*(out_READ_QUEUE_OUT_DATA_RA_VAL)) (*(in_BYPASS_GPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RA_VAL)) (*(in_BYPASS_GPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RA_VAL)) (*(in_BYPASS_GPR_WRITE_NUM_REG    [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RB_VAL)) (*(in_BYPASS_GPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RB_VAL)) (*(in_BYPASS_GPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RB_VAL)) (*(in_BYPASS_GPR_WRITE_NUM_REG    [i]));
-
-	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_BYPASS_GPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_BYPASS_GPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_BYPASS_GPR_WRITE_NUM_REG    [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_BYPASS_GPR_WRITE_DATA       [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_BYPASS_GPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_BYPASS_GPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_BYPASS_GPR_WRITE_NUM_REG    [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_BYPASS_GPR_WRITE_DATA       [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RA_VAL)) (*(in_GPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RA_VAL)) (*(in_GPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RA_VAL)) (*(in_GPR_WRITE_NUM_REG    [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RB_VAL)) (*(in_GPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RB_VAL)) (*(in_GPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RB_VAL)) (*(in_GPR_WRITE_NUM_REG    [i]));
+
+	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_GPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_GPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_GPR_WRITE_NUM_REG    [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RA    )) (*(in_GPR_WRITE_DATA       [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_GPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_GPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_GPR_WRITE_NUM_REG    [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RB    )) (*(in_GPR_WRITE_DATA       [i]));
       }
 #endif    
@@ -161,8 +161,8 @@
 		<< *(in_SPR_READ_DATA_VAL [i]);
     for (uint32_t i=0; i<_param->_nb_spr_write; i++)
-      sensitive << *(in_BYPASS_SPR_WRITE_VAL        [i])
-		<< *(in_BYPASS_SPR_WRITE_CONTEXT_ID [i])
-		<< *(in_BYPASS_SPR_WRITE_NUM_REG    [i])
-		<< *(in_BYPASS_SPR_WRITE_DATA       [i]);
+      sensitive << *(in_SPR_WRITE_VAL        [i])
+		<< *(in_SPR_WRITE_CONTEXT_ID [i])
+		<< *(in_SPR_WRITE_NUM_REG    [i])
+		<< *(in_SPR_WRITE_DATA       [i]);
 
 #ifdef SYSTEMCASS_SPECIFIC
@@ -176,12 +176,12 @@
     for (uint32_t i=0; i<_param->_nb_spr_write ; i++)
       {
-	(*(out_READ_QUEUE_OUT_DATA_RC_VAL)) (*(in_BYPASS_SPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RC_VAL)) (*(in_BYPASS_SPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RC_VAL)) (*(in_BYPASS_SPR_WRITE_NUM_REG    [i]));
-
-	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_BYPASS_SPR_WRITE_VAL        [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_BYPASS_SPR_WRITE_CONTEXT_ID [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_BYPASS_SPR_WRITE_NUM_REG    [i]));
-	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_BYPASS_SPR_WRITE_DATA       [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RC_VAL)) (*(in_SPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RC_VAL)) (*(in_SPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RC_VAL)) (*(in_SPR_WRITE_NUM_REG    [i]));
+
+	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_SPR_WRITE_VAL        [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_SPR_WRITE_CONTEXT_ID [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_SPR_WRITE_NUM_REG    [i]));
+	(*(out_READ_QUEUE_OUT_DATA_RC    )) (*(in_SPR_WRITE_DATA       [i]));
       }
 #endif    
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_allocation.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_allocation.cpp	(revision 55)
@@ -170,14 +170,14 @@
       }
 
-    // ~~~~~[ Interface : "bypass_gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-    
-     in_BYPASS_GPR_WRITE_VAL       = new SC_IN (Tcontrol_t        ) * [_param->_nb_gpr_write];
-     in_BYPASS_GPR_WRITE_CONTEXT_ID= new SC_IN (Tcontext_t        ) * [_param->_nb_gpr_write];
-     in_BYPASS_GPR_WRITE_NUM_REG   = new SC_IN (Tgeneral_address_t) * [_param->_nb_gpr_write];
-     in_BYPASS_GPR_WRITE_DATA      = new SC_IN (Tgeneral_data_t   ) * [_param->_nb_gpr_write];
+    // ~~~~~[ Interface : "gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    
+     in_GPR_WRITE_VAL       = new SC_IN (Tcontrol_t        ) * [_param->_nb_gpr_write];
+     in_GPR_WRITE_CONTEXT_ID= new SC_IN (Tcontext_t        ) * [_param->_nb_gpr_write];
+     in_GPR_WRITE_NUM_REG   = new SC_IN (Tgeneral_address_t) * [_param->_nb_gpr_write];
+     in_GPR_WRITE_DATA      = new SC_IN (Tgeneral_data_t   ) * [_param->_nb_gpr_write];
 
     for (uint32_t i=0; i<_param->_nb_gpr_write; i++)
       {
-        Interface_fifo * interface = _interfaces->set_interface("bypass_gpr_write_"+toString(i)
+        Interface_fifo * interface = _interfaces->set_interface("gpr_write_"+toString(i)
 #ifdef POSITION
                                                                 , IN  
@@ -187,20 +187,20 @@
                                                                 );
 
-	 in_BYPASS_GPR_WRITE_VAL        [i] = interface->set_signal_valack_in        ("val"    , VAL);
-	 in_BYPASS_GPR_WRITE_CONTEXT_ID [i] = interface->set_signal_in  <Tcontext_t        > ("context_id",_param->_size_context_id);
-	 in_BYPASS_GPR_WRITE_NUM_REG    [i] = interface->set_signal_in  <Tgeneral_address_t> ("num_reg"   ,_param->_size_general_register);
-	 in_BYPASS_GPR_WRITE_DATA       [i] = interface->set_signal_in  <Tgeneral_data_t   > ("data"      ,_param->_size_general_data);
-      }
-
-    // ~~~~~[ Interface : "bypass_spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-    
-     in_BYPASS_SPR_WRITE_VAL       = new SC_IN (Tcontrol_t        ) * [_param->_nb_spr_write];
-     in_BYPASS_SPR_WRITE_CONTEXT_ID= new SC_IN (Tcontext_t        ) * [_param->_nb_spr_write];
-     in_BYPASS_SPR_WRITE_NUM_REG   = new SC_IN (Tspecial_address_t) * [_param->_nb_spr_write];
-     in_BYPASS_SPR_WRITE_DATA      = new SC_IN (Tspecial_data_t   ) * [_param->_nb_spr_write];
+	 in_GPR_WRITE_VAL        [i] = interface->set_signal_valack_in        ("val"    , VAL);
+	 in_GPR_WRITE_CONTEXT_ID [i] = interface->set_signal_in  <Tcontext_t        > ("context_id",_param->_size_context_id);
+	 in_GPR_WRITE_NUM_REG    [i] = interface->set_signal_in  <Tgeneral_address_t> ("num_reg"   ,_param->_size_general_register);
+	 in_GPR_WRITE_DATA       [i] = interface->set_signal_in  <Tgeneral_data_t   > ("data"      ,_param->_size_general_data);
+      }
+
+    // ~~~~~[ Interface : "spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    
+     in_SPR_WRITE_VAL       = new SC_IN (Tcontrol_t        ) * [_param->_nb_spr_write];
+     in_SPR_WRITE_CONTEXT_ID= new SC_IN (Tcontext_t        ) * [_param->_nb_spr_write];
+     in_SPR_WRITE_NUM_REG   = new SC_IN (Tspecial_address_t) * [_param->_nb_spr_write];
+     in_SPR_WRITE_DATA      = new SC_IN (Tspecial_data_t   ) * [_param->_nb_spr_write];
 
     for (uint32_t i=0; i<_param->_nb_spr_write; i++)
       {
-        Interface_fifo * interface = _interfaces->set_interface("bypass_spr_write_"+toString(i)
+        Interface_fifo * interface = _interfaces->set_interface("spr_write_"+toString(i)
 #ifdef POSITION
                                                                 , IN  
@@ -210,8 +210,8 @@
                                                                 );
 
-	 in_BYPASS_SPR_WRITE_VAL        [i] = interface->set_signal_valack_in        ("val"    , VAL);
-	 in_BYPASS_SPR_WRITE_CONTEXT_ID [i] = interface->set_signal_in  <Tcontext_t        > ("context_id",_param->_size_context_id);
-	 in_BYPASS_SPR_WRITE_NUM_REG    [i] = interface->set_signal_in  <Tspecial_address_t> ("num_reg"   ,_param->_size_special_register);
-	 in_BYPASS_SPR_WRITE_DATA       [i] = interface->set_signal_in  <Tspecial_data_t   > ("data"      ,_param->_size_special_data);
+	 in_SPR_WRITE_VAL        [i] = interface->set_signal_valack_in        ("val"    , VAL);
+	 in_SPR_WRITE_CONTEXT_ID [i] = interface->set_signal_in  <Tcontext_t        > ("context_id",_param->_size_context_id);
+	 in_SPR_WRITE_NUM_REG    [i] = interface->set_signal_in  <Tspecial_address_t> ("num_reg"   ,_param->_size_special_register);
+	 in_SPR_WRITE_DATA       [i] = interface->set_signal_in  <Tspecial_data_t   > ("data"      ,_param->_size_special_data);
       }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_deallocation.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_deallocation.cpp	(revision 55)
@@ -91,17 +91,17 @@
     delete []  in_SPR_READ_DATA_VAL  ;
 
-    // ~~~~~[ Interface : "bypass_gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface : "gpr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     
-    delete []  in_BYPASS_GPR_WRITE_VAL       ;
-    delete []  in_BYPASS_GPR_WRITE_CONTEXT_ID;
-    delete []  in_BYPASS_GPR_WRITE_NUM_REG   ;
-    delete []  in_BYPASS_GPR_WRITE_DATA      ;
+    delete []  in_GPR_WRITE_VAL       ;
+    delete []  in_GPR_WRITE_CONTEXT_ID;
+    delete []  in_GPR_WRITE_NUM_REG   ;
+    delete []  in_GPR_WRITE_DATA      ;
 
-    // ~~~~~[ Interface : "bypass_spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+    // ~~~~~[ Interface : "spr_write" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
     
-    delete []  in_BYPASS_SPR_WRITE_VAL       ;
-    delete []  in_BYPASS_SPR_WRITE_CONTEXT_ID;
-    delete []  in_BYPASS_SPR_WRITE_NUM_REG   ;
-    delete []  in_BYPASS_SPR_WRITE_DATA      ;
+    delete []  in_SPR_WRITE_VAL       ;
+    delete []  in_SPR_WRITE_CONTEXT_ID;
+    delete []  in_SPR_WRITE_NUM_REG   ;
+    delete []  in_SPR_WRITE_DATA      ;
 
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_gpr.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_gpr.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_gpr.cpp	(revision 55)
@@ -66,23 +66,23 @@
       {
 	// Test if this bypass is valid
-	if ( (PORT_READ (in_BYPASS_GPR_WRITE_VAL        [i]) == 1) and
-	     (PORT_READ (in_BYPASS_GPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
+	if ( (PORT_READ (in_GPR_WRITE_VAL        [i]) == 1) and
+	     (PORT_READ (in_GPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
 	     )
 	  {
-	    Tgeneral_address_t bypass_gpr_write_num_reg = PORT_READ(in_BYPASS_GPR_WRITE_NUM_REG [i]);
-	    Tgeneral_data_t    bypass_gpr_write_data    = PORT_READ(in_BYPASS_GPR_WRITE_DATA    [i]);
+	    Tgeneral_address_t gpr_write_num_reg = PORT_READ(in_GPR_WRITE_NUM_REG [i]);
+	    Tgeneral_data_t    gpr_write_data    = PORT_READ(in_GPR_WRITE_DATA    [i]);
 	    
-	    if (_queue_head->_num_reg_ra == bypass_gpr_write_num_reg)
+	    if (_queue_head->_num_reg_ra == gpr_write_num_reg)
 	      {
 		log_printf(TRACE,Read_queue,FUNCTION," * internal_READ_QUEUE_OUT_DATA_RA_VAL   - bypass hit (%d)",i);
 
 		internal_READ_QUEUE_OUT_DATA_RA_VAL = 1;
-		internal_READ_QUEUE_OUT_DATA_RA     = bypass_gpr_write_data;
+		internal_READ_QUEUE_OUT_DATA_RA     = gpr_write_data;
 	      }
-	    if (_queue_head->_num_reg_rb == bypass_gpr_write_num_reg)
+	    if (_queue_head->_num_reg_rb == gpr_write_num_reg)
 	      {
 		log_printf(TRACE,Read_queue,FUNCTION," * internal_READ_QUEUE_OUT_DATA_RB_VAL   - bypass hit (%d)",i);
 		internal_READ_QUEUE_OUT_DATA_RB_VAL = 1;
-		internal_READ_QUEUE_OUT_DATA_RB     = bypass_gpr_write_data;
+		internal_READ_QUEUE_OUT_DATA_RB     = gpr_write_data;
 	      }
 	  }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_spr.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_spr.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_spr.cpp	(revision 55)
@@ -51,13 +51,13 @@
       {
 	// Test if this bypass is valid
-	if ( (PORT_READ (in_BYPASS_SPR_WRITE_VAL        [i]) == 1) and
-	     (PORT_READ (in_BYPASS_SPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
+	if ( (PORT_READ (in_SPR_WRITE_VAL        [i]) == 1) and
+	     (PORT_READ (in_SPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
 	     )
 	  {
-	    if (_queue_head->_num_reg_rc == PORT_READ(in_BYPASS_SPR_WRITE_NUM_REG [i]))
+	    if (_queue_head->_num_reg_rc == PORT_READ(in_SPR_WRITE_NUM_REG [i]))
 	      {
 		log_printf(TRACE,Read_queue,FUNCTION," * internal_READ_QUEUE_OUT_DATA_RC_VAL   - bypass hit (%d)",i);
 		internal_READ_QUEUE_OUT_DATA_RC_VAL = 1;
-		internal_READ_QUEUE_OUT_DATA_RC     = PORT_READ(in_BYPASS_SPR_WRITE_DATA [i]);
+		internal_READ_QUEUE_OUT_DATA_RC     = PORT_READ(in_SPR_WRITE_DATA [i]);
 	      }
 	  }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_val.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_val.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMealy_read_queue_out_val.cpp	(revision 55)
@@ -42,14 +42,14 @@
       {
 	// Test if this bypass is valid
-	if ( (PORT_READ (in_BYPASS_GPR_WRITE_VAL        [i]) == 1) and
-	     (PORT_READ (in_BYPASS_GPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
+	if ( (PORT_READ (in_GPR_WRITE_VAL        [i]) == 1) and
+	     (PORT_READ (in_GPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
 	     )
 	  {
-	    Tgeneral_address_t bypass_gpr_write_num_reg = PORT_READ(in_BYPASS_GPR_WRITE_NUM_REG [i]);
+	    Tgeneral_address_t gpr_write_num_reg = PORT_READ(in_GPR_WRITE_NUM_REG [i]);
 	    
-	    if (_queue_head->_num_reg_ra == bypass_gpr_write_num_reg)
+	    if (_queue_head->_num_reg_ra == gpr_write_num_reg)
 	      internal_READ_QUEUE_OUT_READ_RA_VAL = 0;
 
-	    if (_queue_head->_num_reg_rb == bypass_gpr_write_num_reg)
+	    if (_queue_head->_num_reg_rb == gpr_write_num_reg)
 	      internal_READ_QUEUE_OUT_READ_RB_VAL = 0;
 	  }
@@ -59,11 +59,11 @@
       {
 	// Test if this bypass is valid
-	if ( (PORT_READ (in_BYPASS_SPR_WRITE_VAL        [i]) == 1) and
-	     (PORT_READ (in_BYPASS_SPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
+	if ( (PORT_READ (in_SPR_WRITE_VAL        [i]) == 1) and
+	     (PORT_READ (in_SPR_WRITE_CONTEXT_ID [i]) == _queue_head->_context_id)
 	     )
 	  {
-	    Tspecial_address_t bypass_spr_write_num_reg = PORT_READ(in_BYPASS_SPR_WRITE_NUM_REG [i]);
+	    Tspecial_address_t spr_write_num_reg = PORT_READ(in_SPR_WRITE_NUM_REG [i]);
 	    
-	    if (_queue_head->_num_reg_rc == bypass_spr_write_num_reg)
+	    if (_queue_head->_num_reg_rc == spr_write_num_reg)
 	      internal_READ_QUEUE_OUT_READ_RC_VAL = 0;
 	  }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMoore.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_genMoore.cpp	(revision 55)
@@ -24,5 +24,5 @@
     log_printf(FUNC,Read_queue,FUNCTION,"Begin");
 
-    bool not_full  = not (_queue->size() == _param->_size_read_queue);
+    bool not_full  = not (_queue->size() == _param->_size_queue);
     bool not_empty = not _queue->empty();
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_transition.cpp	(revision 54)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/src/Read_queue_transition.cpp	(revision 55)
@@ -47,5 +47,5 @@
 	// Write to read_queue
 
-	bool not_full      = not (_queue->size() == _param->_size_read_queue);
+	bool not_full      = not (_queue->size() == _param->_size_queue);
 	bool     empty     =     _queue->empty();
 	bool nead_new_head = false;
